package main

import (
	"encoding/json"
	"log"
	"os"
)

type Config struct {
	WebPort        string                       `json:"web_port"`
	WebDomain      string                       `json:"web_domain"`
	WebAdmin       string                       `json:"web_admin"`
	WebAdminPass   string                       `json:"web_admin_pass"`
	MailUser       string                       `json:"mail_user"`
	MailPass       string                       `json:"mail_pass"`
	MailSmtpServer string                       `json:"mail_smtp_server"`
	MailSmtpPort   string                       `json:"mail_smtp_port"`
	DdUsers        map[string]map[string]string `json:"dd_users"`
	DnsTTL         int                          `json:"dns_ttl"`
	DnsServer      string                       `json:"dns_server"`
}

var config Config

func init() {
	f, err := os.Open("../../configs/config.json")
	if err != nil {
		log.Fatalln(err, "Could not read config file")
	}
	defer f.Close()
	err = json.NewDecoder(f).Decode(&config)
	if err != nil {
		log.Fatalln(err, "Could not decode config file")
	}
}
